
import * as mc from "@minecraft/server"

import { ActionFormData, MessageFormData, ModalFormData } from "@minecraft/server-ui"

  
const modal = new ModalFormData()

    modal.title("Blade Paper")

    modal.dropdown("Types of Blades", ["Hard Blade §2XP: 35L", "Long Blade §2XP: 30L", "Sharp Blade §2XP: 36L", "Pick Blade §2XP: 30L", "Drill Blade §2XP: 30L", "Ax Blade §2XP: 30L", "Shovel Blade §2XP: 30L", "Scythe Blade §2XP: 30L"])
    const book = new ActionFormData()
    book.title("Skilled Book")
    book.body("Everything about the addon will be in this book.")
    book.button("§6§lSkilled Anvil", "textures/bookui/sa")
    book.button("§d§lSkills", "textures/bookui/sk")
    book.button("§c§lRituals", "textures/bookui/rt")
    book.button("§a§lItems Without Recipes", "textures/bookui/item")
    book.button("§5§lCreatures Invocation", "textures/bookui/cr")
    const anvil = new ActionFormData()
    anvil.title("Skilled Anvil")
    anvil.button("Back")
    anvil.body(`
    §r§f----------------------------------
§6To be able to make your blades using the anvil, you need the paper for that blade and the amount of plates needed to make that blade. You also need to equip the Hammer in offhand, the material of the hammer has to be related to material of the blade you want to make.
§r§f----------------------------------
§9 Example: If I want to make an iron blade, I need to equip the iron hammer in my left hand, have the role for the blade in my inventory and the amount of plates needed. After that, just interact with the Skilled Anvil.
§r§f----------------------------------
§5Hard Blade: 6 plates
Sharp Blade: 3 Plates
Long Blade: 6 Plates
Pick Blade: 3 Plates
Ax Blade: 3 Plates
Shovel Blade: 3 Plates
Scythe Blade: 4 Blades
§r§f----------------------------------`)
  const skills = new ActionFormData()
  skills.title("Skills Info")
  skills.button("Back")
  skills.body(`
  §r§f----------------------------------
§4§lCalamity Judment
§rwhen the player hits an entity her is automatically cursed, if he clicks and holds on the screen (or click the right button) he will lose life and the percentage will increase, when the percentage reaches 100% all cursed mobs receive 20 damage.
§r§f----------------------------------
§5§lVoidHammering
§rDisappears several blocks in a straight square and conserves only the ores.
§r§f----------------------------------
§e§lHammering
§rWhen you break a block, it automatically breaks all blocks that are the same as the block you broke in a 3x3 radius
§r§f----------------------------------
§4§lBleeding (I & II)
§rMakes the mob bleed and take a high amount of damage for 10 seconds.
§r§f----------------------------------
§g§lMagnetic Skill
§rPulls all items within a certain radius.
§r§f----------------------------------
§a§lVein mining
§rMine a large amount of ores from a chunk, without having to break them one by one.
§r§f----------------------------------
§c§lOreSmelter
§rDrops ores already in ingot form.
§r§f----------------------------------
§6§lContaminant Fire
§rUnleash a custom fire, beautiful and well spread, that is responsible for dealing 3 damages per second in a maximum time of 5 seconds.
§r§f----------------------------------
§1§lBlue Contaminant Fire
§rReleases a custom fire, beautiful and well spread, only blue, referring to the soul valley biome, which is responsible for dealing 3 damages per second in a maximum time of 5 seconds.
§r§f----------------------------------
§7§lArea Damage
§rDeals damage to all mobs in a 5 block area.
§r§f----------------------------------
§2§lDrill Mining
§rwhen you break a block, it automatically breaks all blocks that are the same as the one you broke into a radius that forms a "+" symbol
§r§f----------------------------------
§e§lExcavation
§rBreaks all dirt, sand and gravel related blocks in a 3x3 radius
§r§f----------------------------------`)

const rituals = new ActionFormData()
rituals.title("Rituals")
rituals.body(`
§f----------------------------------
§l§fEndynium Ritual
§r§5• = Obsidian  §g• = End Stone
§9• = Water

§o§7reserve a place in your world and place the blocks in the following order:
§l§5• §g• §5•
§g• §9• §g•
§5• §g• §5•
§d§rYou also have to place "ender crystals" on top of all obsidians in the ritual.
§o§r§7After the ritual is done, throw any item or any entity in the middle of the ritual, in the place where the lava is.
§r§f----------------------------------
§f§l Endynium Ingot Recipe
§r§5• = Crying Obsidian  §d• = End Crystal
§2• = Ender Eye  §7• = Steel Ingot

§o§7open the interface of the entity that will be at the center of the ritual and place the items in the slots as follows:
§l§5• §d• • §2• §d• • §5•
§7• • • • • • •
§4• §d• • §2• §d• • §5•
§f----------------------------------
§l§fIlluminatic Ritual
§r§b• = Diamond Block  §3• = Prismarine
§9• = Lava

§o§7reserve a place in your world and place the blocks in the following order:
§l§b• §3• §b•
§3• §9• §3•
§b• §3• §b•
§o§r§7After the ritual is done, throw any item or any entity in the middle of the ritual, in the place where the lava is.
§r§f----------------------------------
§f§lIlluminatic Ingot Recipe
§r§9• = Heart Of the Sea  §b• = §3Prismarine
§b• = Diamond Block  §7• = Steel Ingot

§o§7open the interface of the entity that will be at the center of the ritual and place the items in the slots as follows:
§l§9• §b• • §3• §b• • §9•
§7• • • • • • •
§9• §b• • §3• §b• • §9•
§f----------------------------------
§l§fMagmatic Ritual
§r§5• = Netherite Block  §6• = Magma Block
§c• = Lava

§o§7reserve a place in your world and place the blocks in the following order:
§l§5• §6• §5•
§6• §c• §6•
§5• §6• §5•
§o§r§7After the ritual is done, throw any item or any entity in the middle of the ritual, in the place where the lava is.

§f§lMagmatic Ingot Recipe
§r§5• = Netherite Ingot  §c• = Magma Cream
§6• = Magma Block  §7• = Steel Ingot

§o§7open the interface of the entity that will be at the center of the ritual and place the items in the slots as follows:
§l§5• §c• • §6• §c• • §5•
§7• • • • • • •
§5• §c• • §6• §c• • §5•
§r§f----------------------------------
`)
rituals.button("Back")

const items = new ActionFormData()
items.title("Items Without Recipes")
items.body(`
§r§f----------------------------------
§l§7Iron Plate,Gold Plate, Diamond Plate
§rcan be obtained when the player clicks on an ore block with any of the hammers
§r§f----------------------------------
§l§5Bat Wing
§rcan be obtained by killing bats.
§r§f----------------------------------
§l§8Piece of Steel
§rcan be heated in a furnace
§r§f----------------------------------
§l§9Magic Feather
§rThere is a small chance of being dropped by chicken
§r§f----------------------------------
`)
items.button("Back")

const boss = new ActionFormData()
boss.title("Creatures Invocation")
boss.body(`
§lCorrupted Zombie
§r§c Take a Nametag and rename a zombie to "corrupted",
after that, throw a netherite dagger and wait for the zombie to pick it up.`)
boss.button("Back")
mc.world.events.beforeItemUse.subscribe(eventData => {

    if (eventData.item.typeId == "skilleditems:paper") {

        const player = eventData.source

        modal.show(player).then(result => {

            if (result.formValues[0] == 0) {

                player.runCommandAsync(`replaceitem entity @s[lm=35] slot.weapon.mainhand 0 skilleditems:hard_paper`)
                player.runCommandAsync(`xp -10L @s[lm=35]`)

            }

            if (result.formValues[0] == 1) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:long_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)
                
            }

            if(result.formValues[0] == 2) {

                player.runCommandAsync(`replaceitem entity @s[lm=36] slot.weapon.mainhand 0 skilleditems:sharp_paper`)
                player.runCommandAsync(`xp -10L @s[lm=36]`)

            }
            
            if(result.formValues[0] == 3) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:pick_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)

            }
            
            if(result.formValues[0] == 4) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:drill_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)

            }
            
            if(result.formValues[0] == 5) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:ax_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)

            }
            
            if(result.formValues[0] == 7) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:schyte_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)

            }
            
            if(result.formValues[0] == 6) {

                player.runCommandAsync(`replaceitem entity @s[lm=30] slot.weapon.mainhand 0 skilleditems:shovel_paper`)
                player.runCommandAsync(`xp -5L @s[lm=30]`)

            }



        })

    }
if (eventData.item.typeId == "skilleditems:skilled_book") {
  const player = eventData.source
  player.runCommandAsync("tag @s add book")
}
})
mc.world.events.tick.subscribe((tickEvent) => {
  let players = mc.world.getPlayers();
for (let player of players) {
  if (player.hasTag("book") == true) {
   book.show(player).then(salada => {
     if (salada.selection == 0) {
       anvil.show(player).then(chinelo => {
         if (chinelo.selection == 0) {
           player.runCommandAsync("tag @s add book")
         }
       })
     }
     if (salada.selection == 1) {
       skills.show(player).then(chinelo => {
         if (chinelo.selection == 0) {
           player.runCommandAsync("tag @s add book")
         }
       })
       
     }
     if (salada.selection == 2) {
       rituals.show(player).then(chinelo => {
         if (chinelo.selection == 0) {
           player.runCommandAsync("tag @s add book")
         }
       })
       
     }
     if (salada.selection == 3) {
       items.show(player).then(chinelo => {
         if (chinelo.selection == 0) {
           player.runCommandAsync("tag @s add book")
         }
       })
       
     }
     if (salada.selection == 4) {
       boss.show(player).then(chinelo => {
         if (chinelo.selection == 0) {
           player.runCommandAsync("tag @s add book")
         }
       })
       
     }
   })
   player.runCommandAsync("tag @s remove book")
}
}

})
mc.world.events.entityHit.subscribe(data => {
  const entity = data.hitEntity
  const player = data.entity
  
  if (entity.typeId == "skilleditems:mag_ritual") {
  if (entity.hasTag("mag_ingot") == true) {
    player.runCommandAsync("give @s skilleditems:magmatic_steel")
let inv = entity.getComponent("minecraft:inventory").container
let slots = [1, 2, 3, 4, 5, 6, 7, 10, 11, 12, 13, 14, 15, 16, 19, 20, 21, 22, 23, 24, 25]
slots.forEach(slot=>{
  let item = inv.getItem(slot)
  if(item){
    item.amount--;
    inv.setItem(slot, item)  
  }
})
  entity.runCommandAsync("tag @s remove mag_ingot")
  }
}
  if (entity.typeId == "skilleditems:iluminar_ritual") {
  if (entity.hasTag("iluminar_ingot") == true) {
    player.runCommandAsync("give @s skilleditems:illuminatic_steel")
let inv = entity.getComponent("minecraft:inventory").container
let slots = [1, 2, 3, 4, 5, 6, 7, 10, 11, 12, 13, 14, 15, 16, 19, 20, 21, 22, 23, 24, 25]
slots.forEach(slot=>{
  let item = inv.getItem(slot)
  if(item){
    item.amount--;
    inv.setItem(slot, item)  
  }
})
  entity.runCommandAsync("tag @s remove iluminar_ingot")
  }
}
  if (entity.typeId == "skilleditems:end_ritual") {
 if (entity.hasTag("end_ingot") == true) {
    player.runCommandAsync("give @s skilleditems:endynium")
let inv = entity.getComponent("minecraft:inventory").container
let slots = [1, 2, 3, 4, 5, 6, 7, 10, 11, 12, 13, 14, 15, 16, 19, 20, 21, 22, 23, 24, 25]
slots.forEach(slot=>{
  let item = inv.getItem(slot)
  if(item){
    item.amount--;
    inv.setItem(slot, item)  
  }
})
  entity.runCommandAsync("tag @s remove end_ingot")
  }
}
})
mc.world.events.blockBreak.subscribe(sla => {
  const player = sla.player
  const entity = sla.brokenBlockPermutation.type.id
if (entity.endsWith('ore') == true) {
  if (player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.endsWith('pickaxe') || player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.endsWith('paxel') == true && player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.startsWith('skilleditems') == true) {
    const x = sla.block.location["x"]
    const y = sla.block.location["y"]
    const z = sla.block.location["z"]
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z} ${entity} run setblock ${x+1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z} ${entity} run setblock ${x-1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z-1} ${entity} run setblock ${x} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z+1} ${entity} run setblock ${x+1} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z+1} ${entity} run setblock ${x-1} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z-1} ${entity} run setblock ${x-1} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z-1} ${entity} run setblock ${x+1} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z} ${entity} run setblock ${x} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y+1} ${z} ${entity} run setblock ${x+1} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y+1} ${z} ${entity} run setblock ${x-1} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z+1} ${entity} run setblock ${x} ${y+1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z-1} ${entity} run setblock ${x} ${y+1} ${z-1} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x+1} ${y+1} ${z+1} ${entity} run setblock ${x+1} ${y+1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y+1} ${z+1} ${entity} run setblock ${x-1} ${y+1} ${z+1} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x-1} ${y+1} ${z-1} ${entity} run setblock ${x-1} ${y+1} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y+1} ${z-1} ${entity} run setblock ${x+1} ${y+1} ${z-1} air 0 destroy`)
    
    
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z} ${entity} run setblock ${x} ${y-1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y-1} ${z} ${entity} run setblock ${x+1} ${y-1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y-1} ${z} ${entity} run setblock ${x-1} ${y-1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z+1} ${entity} run setblock ${x} ${y-1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z-1} ${entity} run setblock ${x} ${y-1} ${z-1} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x+1} ${y-1} ${z+1} ${entity} run setblock ${x+1} ${y-1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y-1} ${z+1} ${entity} run setblock ${x-1} ${y-1} ${z+1} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x-1} ${y-1} ${z-1} ${entity} run setblock ${x-1} ${y-1} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y-1} ${z-1} ${entity} run setblock ${x+1} ${y-1} ${z-1} air 0 destroy`)
  }
}
if (player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.endsWith('hammer') || player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.endsWith('shovel') == true && player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.startsWith('skilleditems') == true) {
  const x = sla.block.location["x"]
    const y = sla.block.location["y"]
    const z = sla.block.location["z"]
  if (player.hasTag("baixo") == true) {
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z} ${entity} run setblock ${x+1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z} ${entity} run setblock ${x-1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z-1} ${entity} run setblock ${x} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z-1} ${entity} run setblock ${x+1} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z+1} ${entity} run setblock ${x+1} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z-1} ${entity} run setblock ${x-1} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z+1} ${entity} run setblock ${x-1} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync("tag @s remove baixo")
  }
  if (player.hasTag("norte_sul") == true) {
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z} ${entity} run setblock ${x} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z} ${entity} run setblock ${x} ${y-1} ${z} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x+1} ${y+1} ${z} ${entity} run setblock ${x+1} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y} ${z} ${entity} run setblock ${x+1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x+1} ${y-1} ${z} ${entity} run setblock ${x+1} ${y-1} ${z} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x-1} ${y+1} ${z} ${entity} run setblock ${x-1} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y} ${z} ${entity} run setblock ${x-1} ${y} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x-1} ${y-1} ${z} ${entity} run setblock ${x-1} ${y-1} ${z} air 0 destroy`)
    player.runCommandAsync("tag @s remove norte_sul")
  }
  if (player.hasTag("leste_oeste") == true) {
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z} ${entity} run setblock ${x} ${y+1} ${z} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z} ${entity} run setblock ${x} ${y-1} ${z} air 0 destroy`)
    
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z+1} ${entity} run setblock ${x} ${y+1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z+1} ${entity} run setblock ${x} ${y-1} ${z+1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y+1} ${z-1} ${entity} run setblock ${x} ${y+1} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y} ${z-1} ${entity} run setblock ${x} ${y} ${z-1} air 0 destroy`)
    player.runCommandAsync(`execute if block ${x} ${y-1} ${z-1} ${entity} run setblock ${x} ${y-1} ${z-1} air 0 destroy`)
    player.runCommandAsync("tag @s remove leste_oeste")
  }
}
if (player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.endsWith('drill') == true && player.getComponent("minecraft:inventory").container.getItem(player.selectedSlot).typeId.startsWith('skilleditems') == true) {
  const x = sla.block.location["x"]
    const y = sla.block.location["y"]
    const z = sla.block.location["z"]
    if (player.hasTag("baixo") == true) {
      player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x} ${y} ${z-1} ${entity} run setblock ${x} ${y} ${z-1} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x+1} ${y} ${z} ${entity} run setblock ${x+1} ${y} ${z} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x-1} ${y} ${z} ${entity} run setblock ${x-1} ${y} ${z} air 0 destroy`)
      player.runCommandAsync(`tag @s remove baixo`)
}
if (player.hasTag("norte_sul") == true) {
     player.runCommandAsync(`execute if block ${x} ${y+1} ${z} ${entity} run setblock ${x} ${y+1} ${z} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x} ${y-1} ${z} ${entity} run setblock ${x} ${y-1} ${z} air 0 destroy`)
      
      player.runCommandAsync(`execute if block ${x+1} ${y} ${z} ${entity} run setblock ${x+1} ${y} ${z} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x-1} ${y} ${z} ${entity} run setblock ${x-1} ${y} ${z} air 0 destroy`)
      player.runCommandAsync(`tag @s remove norte_sul`)
  
}
if (player.hasTag("leste_oeste") == true) {
     player.runCommandAsync(`execute if block ${x} ${y+1} ${z} ${entity} run setblock ${x} ${y+1} ${z} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x} ${y-1} ${z} ${entity} run setblock ${x} ${y-1} ${z} air 0 destroy`)
      
      player.runCommandAsync(`execute if block ${x} ${y} ${z+1} ${entity} run setblock ${x} ${y} ${z+1} air 0 destroy`)
      player.runCommandAsync(`execute if block ${x} ${y} ${z-1} ${entity} run setblock ${x} ${y} ${z-1} air 0 destroy`)
      
      player.runCommandAsync(`tag @s remove leste_oeste`)
  
}

}
})